Bug 1290495 - Review Request: perl-Tie-Handle-Offset - Tied handle that hides the beginning of a file
Review Request: perl-Tie-Handle-Offset - Tied handle that hides the beginning...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1290499
  Show dependency treegraph
 
Reported: 2015-12-10 11:51 EST by Petr Šabata
Modified: 2016-02-16 10:23 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Tie-Handle-Offset-0.003-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 10:23:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-12-10 11:51:11 EST
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Tie-Handle-Offset/perl-Tie-Handle-Offset.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Tie-Handle-Offset/perl-Tie-Handle-Offset.spec
Description:
This modules provides a file handle that hides the beginning of a file.
After opening, the file is positioned at the offset location. seek() and
tell() calls are modified to preserve the offset.
Fedora Account System Username: psabata
Comment 1 Upstream Release Monitoring 2015-12-11 01:58:39 EST
ppisar's scratch build of perl-Tie-Handle-Offset-0.003-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12147428
Comment 2 Petr Pisar 2015-12-11 02:02:26 EST
I will assume the SRPM file is <https://psabata.fedorapeople.org/pkgs/perl-Tie-Handle-Offset/perl-Tie-Handle-Offset-0.003-1.fc23.src.rpm>.

URL and Source0 addresses are usable. Ok.
Source archive is original (SHA-256: 0b1c46f0323832d9646e37ac51aca36789a30cfa3dbd3aef913d3218445ffdae). Ok.
Summary is applicable to both modules. Ok.
Description is applicable to both modules. Ok.
License verified from README, LICENSE, lib/Tie/Handle/Offset.pm, 
lib/Tie/Handle/SkipHeader.pm, t/offset.t, t/skip-header.t, dist.ini. Ok.
No XS code, noarch BuildArch is Ok.
Build-requires are Ok.
All tests pass. Ok.

$ rpmlint perl-Tie-Handle-Offset.spec ../SRPMS/perl-Tie-Handle-Offset-0.003-1.fc24.src.rpm ../RPMS/noarch/perl-Tie-Handle-Offset-0.003-1.fc24.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.


$ rpm -q -lv -p ../RPMS/noarch/perl-Tie-Handle-Offset-0.003-1.fc24.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Dec 11 07:54 /usr/share/doc/perl-Tie-Handle-Offset
-rw-r--r--    1 root    root                      565 Apr  5  2012 /usr/share/doc/perl-Tie-Handle-Offset/Changes
-rw-r--r--    1 root    root                     1417 Apr  5  2012 /usr/share/doc/perl-Tie-Handle-Offset/README
-rw-r--r--    1 root    root                     1711 Apr  5  2012 /usr/share/doc/perl-Tie-Handle-Offset/README.PATCHING
drwxr-xr-x    2 root    root                        0 Dec 11 07:54 /usr/share/licenses/perl-Tie-Handle-Offset
-rw-r--r--    1 root    root                    11500 Apr  5  2012 /usr/share/licenses/perl-Tie-Handle-Offset/LICENSE
-rw-r--r--    1 root    root                     1813 Dec 11 07:54 /usr/share/man/man3/Tie::Handle::Offset.3pm.gz
-rw-r--r--    1 root    root                     1444 Dec 11 07:54 /usr/share/man/man3/Tie::Handle::SkipHeader.3pm.gz
drwxr-xr-x    2 root    root                        0 Dec 11 07:54 /usr/share/perl5/vendor_perl/Tie
drwxr-xr-x    2 root    root                        0 Dec 11 07:54 /usr/share/perl5/vendor_perl/Tie/Handle
-rw-r--r--    1 root    root                     3967 Apr  5  2012 /usr/share/perl5/vendor_perl/Tie/Handle/Offset.pm
-rw-r--r--    1 root    root                     1409 Apr  5  2012 /usr/share/perl5/vendor_perl/Tie/Handle/SkipHeader.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Tie-Handle-Offset-0.003-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(strict)
      1 perl(Tie::Handle)
      1 perl(Tie::Handle::Offset)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Run-require `perl(warnings)' (lib/Tie/Handle/Offset.pm:2).

$ rpm -q --provides -p ../RPMS/noarch/perl-Tie-Handle-Offset-0.003-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(Tie::Handle::Offset) = 0.003
      1 perl(Tie::Handle::SkipHeader) = 0.003
      1 perl-Tie-Handle-Offset = 0.003-1.fc24
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Tie-Handle-Offset-0.003-1.fc24.noarch.rpm
Binary dependencies resolvable. Ok.

Package builds in F24 (http://koji.fedoraproject.org/koji/taskinfo?taskID=12147428). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct the `FIX' item before building the pacakge.
Resolution: Package APPROVED.
Comment 3 Petr Šabata 2015-12-11 04:10:19 EST
(In reply to Petr Pisar from comment #2)
> I will assume the SRPM file is
> <https://psabata.fedorapeople.org/pkgs/perl-Tie-Handle-Offset/perl-Tie-
> Handle-Offset-0.003-1.fc23.src.rpm>.

Yes, indeed, thanks.

> FIX: Run-require `perl(warnings)' (lib/Tie/Handle/Offset.pm:2).

Good catch.
Comment 4 Fedora Update System 2015-12-11 14:52:13 EST
perl-Tie-Handle-Offset-0.003-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cfafdd23e0
Comment 5 Fedora Update System 2015-12-11 22:22:28 EST
perl-Tie-Handle-Offset-0.003-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Tie-Handle-Offset'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cfafdd23e0
Comment 6 Fedora Update System 2015-12-22 17:05:09 EST
perl-Tie-Handle-Offset-0.003-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.